package com.xhkjedu.sexam.service.exam;

import com.xhkjedu.sexam.mapper.exam.EBaseMapper;
import com.xhkjedu.sexam.mapper.exam.EClassMapper;
import com.xhkjedu.sexam.mapper.exam.ESubjectBadstudentMapper;
import com.xhkjedu.sexam.model.exam.ESubjectBadstudent;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class ESubjectBadstudentService {
    @Resource
    private ESubjectBadstudentMapper eSubjectBadstudentMapper;
    @Resource
    private EBaseMapper eBaseMapper;
    @Resource
    private EClassMapper eClassMapper;

    //添加
    public void save(ESubjectBadstudent model) {
        model.setCreatetime(N_Utils.getSecondTimestamp());
        eSubjectBadstudentMapper.insertSelective(model);
    }

    //试卷学生
    public List<Map> listStu(Integer esid, Integer classid, String studentname) {
        List<Map> students = eSubjectBadstudentMapper.listStu(esid, classid, studentname);
        return students;
    }

    public Map getJkDetail(Integer examid, Integer esid) {
        Map map = eBaseMapper.findById(examid);
        List<Map> classes = eClassMapper.listByExamId(examid);
        map.put("classes", classes);
        Integer errnum = eSubjectBadstudentMapper.getErrNumByEsId(esid);//试卷异常次数
        map.put("errnum", errnum);
        Map rate = eSubjectBadstudentMapper.getPaperRate(esid);
        map.putAll(rate);
        return map;
    }
}
